if(info.NO_OF_STNS) {
   var range_guide = " (1 - "+info.NO_OF_STNS+")";
	if(info.NO_OF_STNS < 100) {
		var maxInputRange = info.NO_OF_STNS;
	} else {
		var maxInputRange = "100";
	}
} else {
   var range_guide = "";
}

var p911_btn_type = [{value: "0", option: langs.getText("common","opt_device")}, {value: "1", option: langs.getText("common","opt_basic")}, {value: "2", option: langs.getText("common","opt_advanced")}, {value: "3", option: langs.getText("common","opt_power")}];

var p911_btn_source = [langs.getText("common","opt_device"), langs.getText("common","opt_basic"), langs.getText("common","opt_advanced"), langs.getText("common","opt_power")];

column_config["pgm911"] = [{readOnly: true}, {readOnly: true}, {type: 'dropdown', source: p911_btn_source, colWidths:150}];
		  
define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm911_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm911_preload", preload: [{name: "RANGE_TYPE_1", range_type: 2}, {text: langs.getText("common","enter_stnindexrange")+range_guide+" : "}, {name: "RANGE_1_1", value: "", textfield: [{max: 40, size: 50}], message: "", default_range: getDefaultRange(range_guide, maxInputRange), help: langs.re_toolTip()+"<br><br>"+langs.getText("toolTip","maxinputrange")+" - "+maxInputRange}, {btn: langs.getText("common","load"), btn_type: "btn_load"},
				langs.Range_Error_Table(),
				{endload: 1}, {br: 2}, {text: langs.getText("common","stnindexrange")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}, {br: 2}]},
            {key: "pgm911_mktbl_stnnolist", edit_table:[{label: langs.getText("common","index")}, {label: langs.getText("common","sta_num")}, {label: langs.getText("common","license")}],
                                        data_form:[{key: "", tr: [{name:"STN_INDEX", value:"", label: 1}, 
                                                                  {name:"STN_NUM", value:"", label: 1}, 
																						{name:"STN_LICENSE", value:"", select:p911_btn_type, message: "", enable_mullang: 1, show: 0}]}],
                                    variable_data:[{}]}
        ]}
    ]}
);
